# SheepDyeWoolEvent (Scissors-API 1.17.1-R0.1-SNAPSHOT API)
declaration: package: org.bukkit.event.entity, class: SheepDyeWoolEvent

Package org.bukkit.event.entity

# Class SheepDyeWoolEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.entity.EntityEvent
org.bukkit.event.entity.SheepDyeWoolEvent

All Implemented Interfaces:
  `Cancellable`

public class SheepDyeWoolEvent extends EntityEvent implements Cancellable
Called when a sheep's wool is dyed

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.entity.EntityEvent

`entity`

## Constructor Summary

Constructors
Constructor
Description
`SheepDyeWoolEvent(@NotNull Sheep sheep, @NotNull DyeColor color)`
Deprecated.
`SheepDyeWoolEvent(@NotNull Sheep sheep, @NotNull DyeColor color, @Nullable Player player)`

## Method Summary

Modifier and Type
Method
Description
`@NotNull DyeColor`
`getColor()`
Gets the DyeColor the sheep is being dyed
`@NotNull Sheep`
`getEntity()`
Returns the Entity involved in this event
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`@Nullable Player`
`getPlayer()`
Returns the player dyeing the sheep, if available.
`boolean`
`isCancelled()`
Gets the cancellation state of this event.
`void`
`setCancelled(boolean cancel)`
Sets the cancellation state of this event.
`void`
`setColor(@NotNull DyeColor color)`
Sets the DyeColor the sheep is being dyed

### Methods inherited from class org.bukkit.event.entity.EntityEvent

`getEntityType`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SheepDyeWoolEvent

@Deprecated public SheepDyeWoolEvent(@NotNull @NotNull Sheep sheep, @NotNull @NotNull DyeColor color)
Deprecated.

### SheepDyeWoolEvent

public SheepDyeWoolEvent(@NotNull @NotNull Sheep sheep, @NotNull @NotNull DyeColor color, @Nullable @Nullable Player player)

## Method Details

### isCancelled

public boolean isCancelled()
Description copied from interface: `Cancellable`
Gets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins

Specified by:
  `isCancelled` in interface `Cancellable`
Returns:
  true if this event is cancelled

### setCancelled

public void setCancelled(boolean cancel)
Description copied from interface: `Cancellable`
Sets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins.

Specified by:
  `setCancelled` in interface `Cancellable`
Parameters:
  `cancel` - true if you wish to cancel this event

### getEntity

@NotNull public @NotNull Sheep getEntity()
Description copied from class: `EntityEvent`
Returns the Entity involved in this event

Overrides:
  `getEntity` in class `EntityEvent`
Returns:
  Entity who is involved in this event

### getPlayer

@Nullable public @Nullable Player getPlayer()
Returns the player dyeing the sheep, if available.

Returns:
  player or null

### getColor

@NotNull public @NotNull DyeColor getColor()
Gets the DyeColor the sheep is being dyed

Returns:
  the DyeColor the sheep is being dyed

### setColor

public void setColor(@NotNull @NotNull DyeColor color)
Sets the DyeColor the sheep is being dyed

Parameters:
  `color` - the DyeColor the sheep will be dyed

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()